%define upstream_name    YAML-Tiny-Color
%define upstream_version 0.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Dump YAML with color
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Scalar::Util::LooksLikeNumber)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module dumps your data structure as YAML with color using ANSI escape
sequences. To change the colors, see '%theme' in source code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE README META.json META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.40.0-3.mga9
+ Revision: 1810998
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.40.0-2.mga8
+ Revision: 1519741
- Mageia 8 Mass Rebuild

* Thu Oct 18 2018 shlomif <shlomif> 0.40.0-1.mga7
+ Revision: 1322038
- cpan2dist


* Thu Oct 18 2018 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
